import * as PIXI from "pixi.js";

export default {
    app: null,
    uniforms: null,
    timeStart: null,
    window: {
        width: null,
        height: null,
    },
    keepStorage: true,
    defaultStyle: new PIXI.TextStyle({
        fontFamily: "AseaRegular",
        fontSize: 36,
        fill: "#ffffff",
        stroke: "#ffffff",
        wordWrap: true,
        wordWrapWidth: window.innerWidth,
        align: "center",
        lineJoin: "round",
    }),
    rounds: 1,
    timer: null,
};

export const store = {
    screen: "main_menu",
    code: null,
    player: null,
    finishedPuzzles: null,
    timeStart: null,
    timeScore: null,
};
