export function diffToText(timeDiff) {
    const initialValue = timeDiff;
    const sign = Math.sign(timeDiff);
    timeDiff = Math.abs(timeDiff);
    const ms = Math.floor(timeDiff % 1000);
    timeDiff = (timeDiff - ms) / 1000;
    const s = Math.floor(timeDiff % 60);
    timeDiff = (timeDiff - s) / 60;
    const mi = Math.floor(timeDiff);

    const millis = ms.toString().padStart(3, "0");
    const secs = s.toString().padStart(2, "0");
    const mins = mi.toString().padStart(2, "0");

    let text = "";
    text += `${mins}:${secs}.${millis}`;

    return text;
}
