import * as PIXI from "pixi.js";

import globals, { store } from "../globals.js";

import { Stage } from "./stage.js";

const stage = new Stage("ohno", setup, activate);
export default stage;

function setup() {
    const text = new PIXI.Text(
        `Ohno, something went wrong`,
        globals.defaultStyle
    );
    text.anchor.set(0.5, 0.5);
    text.position.set(window.innerWidth / 2, window.innerHeight / 2);
    stage.addChild(text);
}

function activate() {
    console.log(store);
    globals.keepStorage = false;
    window.localStorage.clear();
}
