import * as PIXI from "pixi.js";

import { store } from "../globals.js";
import { getRandomPuzzle } from "../stages.js";
import { Stage } from "./stage.js";

const stage = new Stage("start_game", setup, activate);
export default stage;

function setup() {}

function activate() {
    store.finishedPuzzles = 0;
    store.timeStart = Date.now();
    return "random_puzzle";
}
